package com.huiju.welcome.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.TaFirstUsherRecordMapper;
import com.huiju.welcome.model.TaFirstUsherRecord;
import com.huiju.welcome.service.ITaFirstUsherRecordService;
import com.huiju.welcome.utils.StatusUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-06-04
 */
@Service
public class TaFirstUsherRecordServiceImpl extends ServiceImpl<TaFirstUsherRecordMapper, TaFirstUsherRecord> implements ITaFirstUsherRecordService {
    @Autowired
    TaFirstUsherRecordMapper taFirstUsherRecordMapper;

    @Override
    public boolean updateNormal(List<TaFirstUsherRecord> records) {
        if (records == null || records.size() == 0) return true;

        List<Integer> recs = new ArrayList<>();
        for (TaFirstUsherRecord rec: records) {
            recs.add(rec.getRecId());
        }

        UpdateWrapper<TaFirstUsherRecord> wrapper = new UpdateWrapper();
        wrapper.set("status", StatusUtils.Normal);
        wrapper.in("rec_id", recs);

        int row = taFirstUsherRecordMapper.update(new TaFirstUsherRecord(), wrapper);
        return row >= 0;
    }
    
    @Override
    public IPage<TaFirstUsherRecord> taFirstUsherRecordlist(IPage pg,String plateNumber, String visiteDate) {
        IPage<TaFirstUsherRecord> pageTaFirstUsherRecord= taFirstUsherRecordMapper.taFirstUsherRecordlist(pg,plateNumber,visiteDate);
        return pageTaFirstUsherRecord;
    }
}
