package com.huiju.welcome.utils;

import com.huiju.welcome.model.TaFirstpage;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import java.util.ArrayList;
import java.util.List;

@Component
@ConfigurationProperties(prefix = "file")
public class SAWeather {
    @Value("${saweather.api}")
    private String url;

    @Value("${saweather.method}")
    private String method;

    @Value("${saweather.appcode}")
    private String appCode;

    @Value("${saweather.city}")
    private String city;

    @Value("${saweather.needIndex}")
    private String needIndex;

    @Value("${saweather.need3HourForcast}")
    private String need3HourForcast;

    @Value("${saweather.needAlarm}")
    private String needAlarm;

    @Value("${saweather.needHourData}")
    private String needHourData;

    @Value("${saweather.needMoreDay}")
    private String needMoreDay;

    public String weather(TaFirstpage taFirstpage) {
        List<String> params = new ArrayList<>();
        // WeatherName 为空时 显示默认
        String temporaryCity = org.springframework.util.StringUtils.isEmpty(taFirstpage.getWeatherName()) ? city:taFirstpage.getWeatherName();
        params.add("area=" + temporaryCity);
        params.add("needIndex=" + needIndex);
        params.add("need3HourForcast=" + need3HourForcast);
        params.add("needAlarm=" + needAlarm);
        params.add("needHourData=" + needHourData);
        params.add("needMoreDay=" + needMoreDay);

        String searchString = StringUtils.join(params, "&");
        String uri = url + "?" + searchString;

        RestTemplate restTemplate = new RestTemplate();
        HttpHeaders requestHeaders = new HttpHeaders();
        requestHeaders.add("Authorization", "APPCODE " + appCode);

        return restTemplate.exchange(uri,HttpMethod.resolve(method), new HttpEntity<String>(null, requestHeaders),String.class).getBody();
    }
}
